package com.zjrs.zwnw.zj.entity;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.zjrs.zwnw.zj.dto.QsDTO;
import com.zjrs.zwnw.zj.dto.QstcDTO;
import com.zjrs.zwnw.zj.po.QstcPO;

import java.util.List;

@Mapper
public interface QstcMapper extends BaseMapper<QstcPO> {
    public String getMaxYear();
    public List<QstcDTO> getList(@Param("dto") QsDTO dto);
    public Page<QstcDTO> getListPage(Page<QstcDTO> page, @Param("dto") QsDTO dto);
    public QstcDTO getTjData(@Param("dto") QsDTO dto);
}
